List affiliations for a specific merchant
curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/affiliations \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/affiliations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/affiliations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174002",
"provider": "CELCOIN",
"merchant_id": "12345678",
"status": "ACTIVE",
"enabled": true,
"company_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"onboarding_url": "https://provider.com/onboard/12345",
"onboarding_url_expires_at": "2026-11-06T12:00:00.000Z",
"cancellation_reason": null,
"rejection_reviewed_at": null,
"allowed_capture_methods": [
"ECOMMERCE"
],
"allowed_payment_methods": [
"PIX"
],
"organization_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"gateway_mode": false,
"onboarding_documents": [
{
"id": "c5fdf2e4-1b9b-6108-aece-69991d5h4905",
"file_type": "CNH_FRONT",
"file_name": "CNH_FRONT_a1b2c3d4.pdf",
"created_at": "2023-06-15T14:30:00.000Z",
"content_type": "application/pdf",
"file_size_bytes": 125430
}
],
"created_at": "2023-01-01T12:00:00.000Z",
"updated_at": "2023-01-01T12:00:00.000Z",
"provider_id": "prov_123456",
"soft_descriptor": "MYSTORE",
"mcc": "5411",
"cost_policy_id": "123e4567-e89b-12d3-a456-426614174003",
"provider_status_code": "200",
"provider_status_message": "Merchant activated successfully",
"provider_metadata": {},
"bank_account": {
"id": "a2da4238-bdc2-47f9-b866-246cc87212d5",
"bank_code": "001",
"branch_number": "1234",
"account_number": "567890",
"account_holder_name": "John Doe",
"account_holder_document_number": "81146431023",
"ispb": "00000000",
"operational_status": "REGULAR",
"operational_status_occurred_at": "2025-06-26T17:07:31.495Z",
"created_at": "2025-06-26T17:07:31.495Z",
"updated_at": "2025-06-26T17:07:31.495Z"
},
"settlement_bank_accounts": [
{
"id": "b3eb5349-cec3-48fa-c977-357dd98323e6",
"branch_number": "1234",
"account_number": "567890",
"account_type": "CHECKING",
"account_holder_name": "John Doe",
"account_holder_document_number": "81146431023",
"ispb": "00000000",
"status": "ACTIVE",
"created_at": "2023-01-01T00:00:00Z",
"updated_at": "2023-01-01T00:00:00Z"
}
],
"anticipation_type": "AUTOMATIC",
"anticipation_days": 1,
"company_snapshot": {}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 50,
"totalPages": 3,
"hasNext": true,
"hasPrev": false
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Affiliations
List affiliations for a specific merchant
Requires the merchant.affiliation.list permission.
Get a list of affiliations for a specific merchant that belongs to the authenticated organization
GET
/
v1
/
merchants
/
{merchantId}
/
affiliations
List affiliations for a specific merchant
Authorizations
Company API key for authentication
Path Parameters
The merchant ID
Query Parameters
Filter by provider (accepts lowercase and uppercase, returns uppercase)
Available options:
CELCOIN, RINNE, CAPPTA Example:
"CELCOIN"
Filter by status
Available options:
PENDING, ACTIVE, PROCESSING, BLOCKED, PENDING_APPROVAL, WAITING_DOCUMENTS, PROCESSING_DOCUMENTS, REJECTED, FAILED, INVALID_SETTLEMENT_BANK_ACCOUNT, CLOSED, CANCELLED Filter by enabled status
Filter by the merchant's CPF or CNPJ, formatted or not.
Filter by the operational status of the affiliation's bank account. Accepts lowercase and uppercase. Omit to return all affiliations.
Available options:
REGULAR, JUDICIAL_BLOCK Page number
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100
